import Layout from '@/views/layout/Layout'
export default {
  path: '/workforce',
  component: Layout,
  redirect: 'noredirect',
  name: 'workforce',
  alwaysShow: true,
  meta: {
    title: 'workforce',
    icon: 'paiban'
  },
  children: [{
    path: '/workforce/appointment',
    component: () => import('@/xt_pages/workforce/appointment'),
    name: 'appointment',
    meta: {
      title: 'appointment',
      noCache: true
    }
  },
  {
    path: '/workforce/sign',
    component: () => import('@/xt_pages/workforce/sign'),
    hidden: true,
    is_menu: false,
    name: 'workforcesign',
    meta: {
      title: 'sign',
      noCache: true
    }
  },
  {
    path: '/workforce/remind',
    component: () => import('@/xt_pages/workforce/remind'),
    name: 'remind',
    meta: {
      title: 'remind',
      noCache: true
    }
  },
  {
    path: '/workforce/template',
    component: () => import('@/xt_pages/workforce/template'),
    name: 'workforce_template',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'workforce_template',
      noCache: true
    }
  },
  {
    path: '/workforce/schedule/print',
    component: () => import('@/xt_pages/workforce/schedule_print'),
    name: 'schedule_print',
    hidden: true,
    is_menu: false,
    meta: {
      title: 'schedule_print',
      noCache: true
    }
  },
    {
      path: '/schedule/remind/print',
      component: () => import('@/xt_pages/workforce/remind_print'),
      name: 'remind_print',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'remind_print',
        noCache: true
      }
    }
  ]
}
