import request from '@/utils/request'

export function fetchPatientList(params) {
  return request({
    url: '/api/integration/patients',
    method: 'get',
    params: params
  })
}


export function fetchAdminList(params) {
  return request({
    url: '/api/integration/admin',
    method: 'get',
    params: params
  })
}


export function createPatientHis(params) {
  return request({
    url: '/api/patienthis/create',
    method: 'post',
    params: params
  })
}
export function editPatientHis(params) {
  return request({
    url: '/api/patienthis/edit',
    method: 'post',
    params: params
  })
}



export function createAdminHis(params) {
  return request({
    url: '/api/adminhis/create',
    method: 'post',
    params: params
  })
}
export function editAdminHis(params) {
  return request({
    url: '/api/adminhis/edit',
    method: 'post',
    params: params
  })
}
