import Layout from '@/views/layout/Layout'

export default {
  path: '/data/',
  component: Layout,
  redirect: 'noredirect',
  name: 'data',
  alwaysShow: true,
  meta: {
    title: 'data_dictionary',
    icon: 'excel'
  },
  children: [
    {
    path: '/data/dictionary',
    component: () => import('@/xt_pages/data/index'),
    name: 'dictionary',
    meta: {
      title: 'field_config'
    }
  },
  {
    path: '/data/template',
    component: () => import('@/xt_pages/data/template'),
    name: 'template',
    meta: {
      title: 'template'
    }
  },
  {
    path: '/data/druguse',
    component: () => import('@/xt_pages/data/druguseTemplate'),
    name: 'druguse',
    meta: {
      title: 'druguse'
    }
  }, {
      path: '/data/showconfig',
      component: () => import('@/xt_pages/data/showConfig'),
      name: 'showconfig',
      meta: {
        title: 'showconfig'
      }
    }
  ]
}
