import Layout from '@/views/layout/Layout'

export default {
  path: '/integration/',
  component: Layout,
  redirect: 'noredirect',
  name: 'integration_config',
  alwaysShow: true,
  meta: {
    title: 'integration_config',
    icon: 'excel'
  },
  children: [
    {
      path: '/integration/his',
      component: () => import('@/xt_pages/integration/his_config'),
      name: 'his_config',
      meta: {
        title: 'his_config'
      }
    },

  ]
}
